function [ phasehistory ] = readcph( fn, nsamp, nline, startline )
% Reads a complex phase history file that is nsamp x nline.

fid=fopen( fn );
fseek( fid, nsamp*16.0*startline, 'bof' );
ph = fread( fid, nsamp * nline * 2.0, 'double' );
ph = reshape( ph, nsamp * 2.0, nline );
phasehistory = complex( ph(1:2:nsamp*2, :), ph(2:2:2.0*nsamp, :) );
phasehistory = phasehistory( 1:nsamp-1, : );
end

